#!/bin/sh
#
# If you have a SunOS or Solaris OS, please use read_CD_sunos or read_CD_sunos
# from the pia ftp server instead of this shell script.
#
# To use this shell script:
# 1. copy the directories pxxxxxxx from the products directory on the CD-ROM
#    to disk (recursive, cp -r)
# 2. go into the directory with the pxxxxxxx subdirectories.
# 3. you may not have other directories with the name p0* in this directory!!
# 4. start this shell script, it will create files with uppercase names
#
#    If you have problems with this procedure, please contact
#    phthelp@mpia-hd.mpg.de

for i in p0*
do
  cd $i
  dir=`ls|head -2|tail -1|cut -c1-8`
  cd $dir
  for j in *
  do
    filename=`echo $j|cut -c1-4|tr "[:lower:]" "[:upper:]"`
    filename=$filename$dir.FITS
    cp $j $filename
  done
  cd ../..
done
